package org.nl.acs.device_driver.basedriver.agv.utils;

import org.springframework.stereotype.Service;

@Service
public class TwoAgvPhase implements IAgv {
    @Override
    public String getPhaseName(Integer phase) {
        if (phase == 0x01) {
            return "开始任务/上报订单号";
        } else if (phase == 0x02){
            return "分配车id";
        } else if (phase == 0x03){
            return "到达取货点1";
        } else if (phase == 0x05){
            return "取货点1取货完毕";
        } else if (phase == 0x07){
            return "到达取货点2";
        } else if (phase == 0x09){
            return "取货点2取货完毕";
        } else if (phase == 0x0A){
            return "自动缓存线--到达送满框1";
        } else if (phase == 0x0B){
            return "到达倒料点1";
        } else if (phase == 0x0C){
            return "自动缓存线--送满框完毕1";
        } else if (phase == 0x0D){
            return "倒料点1倒料完毕";
        } else if (phase == 0x0E){
            return "自动缓存线--到达取空框1";
        } else if (phase == 0x0F){
            return "到达倒料点2";
        } else if (phase == 0x11){
            return "倒料点2倒料完毕";
        } else if (phase == 0x13){
            return "到达送箱点1";
        } else if (phase == 0x15){
            return "送箱点1送箱完毕";
        } else if (phase == 0x17){
            return "到达送箱点2";
        } else if (phase == 0x19){
            return "送箱完毕/送空框完毕2";
        } else if (phase == 0x30){
            return "请求删除任务";
        } else if (phase == 0xFF){
            return "任务删除确认";
        } else if (phase == 0x64){
            return "取货完毕/取满框完毕1/点对点取货完毕";
        } else if (phase == 0x65){
            return "称重就绪";
        } else if (phase == 0x1A){
            return "任务完毕";
        }
        return null;
    }
}
